function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React, { useContext } from 'react';
import Item from "../item";
import { getNormalDpi, getKey } from "../../../utils/tools";
import { ExcelContext } from "../../../index";
import { DataCompCxt } from "../../index";
import getColumns from "./getColumns";
import "./index.less";
var StickyColumns = function StickyColumns(props) {
  var minRow = props.minRow,
    maxRow = props.maxRow,
    type = props.type,
    containerHeight = props.containerHeight; // type传值只能是left和right

  var isRight = type === 'right';
  var _ref = useContext(ExcelContext),
    columnInfo = _ref.columnInfo,
    dataSource = _ref.dataSource;
  var _ref2 = useContext(DataCompCxt),
    rowHeight = _ref2.rowHeight;
  var fixedRight = columnInfo.fixedRight,
    fixedLeft = columnInfo.fixedLeft;
  var sourceDate = isRight ? fixedRight : fixedLeft;
  var stickyWidth = sourceDate.res;
  var sideStyle = _objectSpread({
    width: stickyWidth - (!getNormalDpi() && isRight ? 1 : 0),
    height: containerHeight
  }, _defineProperty({}, type, 0));

  // 数据行 数组
  var sideRows = getColumns(minRow, maxRow, rowHeight, stickyWidth, dataSource);
  return /*#__PURE__*/React.createElement("div", {
    className: "salaryExcelStickyColBox",
    style: sideStyle
  }, sideRows.map(function (_ref3) {
    var data = _ref3.data,
      index = _ref3.index,
      style = _ref3.style;
    return /*#__PURE__*/React.createElement("div", {
      style: style,
      key: index,
      className: "stickyColInner"
    }, sourceDate.data.map(function (currentColumn, ii) {
      return /*#__PURE__*/React.createElement(Item, {
        key: getKey(currentColumn),
        rowIndex: index,
        columnIndex: ii // 在左右固定列的第几列
        ,
        currentColumn: currentColumn,
        currentData: data
      });
    }));
  }));
};
export default StickyColumns;