function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
export var STATIC = {
  common: {
    title: '选择成本中心',
    rightTitle: '已选 成本中心',
    searchPlaceholder: '请输入成本中心名称、成本中心编码'
  }
};

// 处理单个
export var handleDataItem = function handleDataItem(item, disableNode) {
  var _item$costCenter, _item$costCenter2, _item$costCenter3, _item$costCenter4, _item$costCenter5, _item$costCenter6, _item$costCenter7, _item$costCenter8;
  return {
    value: item === null || item === void 0 || (_item$costCenter = item.costCenter) === null || _item$costCenter === void 0 ? void 0 : _item$costCenter.costCenterId,
    label: item === null || item === void 0 || (_item$costCenter2 = item.costCenter) === null || _item$costCenter2 === void 0 ? void 0 : _item$costCenter2.name,
    iconType: 'chengbenzhongxin1',
    haveChildren: item === null || item === void 0 || (_item$costCenter3 = item.costCenter) === null || _item$costCenter3 === void 0 ? void 0 : _item$costCenter3.expand,
    disabled: disableNode[(_item$costCenter4 = item.costCenter) === null || _item$costCenter4 === void 0 ? void 0 : _item$costCenter4.costCenterId] !== undefined,
    tooltip: disableNode[(_item$costCenter5 = item.costCenter) === null || _item$costCenter5 === void 0 ? void 0 : _item$costCenter5.costCenterId] || '',
    code: (_item$costCenter6 = item.costCenter) === null || _item$costCenter6 === void 0 ? void 0 : _item$costCenter6.costCenterCode,
    status: ((_item$costCenter7 = item.costCenter) === null || _item$costCenter7 === void 0 ? void 0 : _item$costCenter7.costCenterStatus) === 'enable' ? 'enable' : 'disable',
    chain: (_item$costCenter8 = item.costCenter) === null || _item$costCenter8 === void 0 ? void 0 : _item$costCenter8.costCenterChain,
    children: []
  };
};

// 批量处理
export var handleDataAll = function handleDataAll(item, disableNode) {
  var _item$map;
  return (_item$map = item === null || item === void 0 ? void 0 : item.map(function (v) {
    return handleDataItem(v, disableNode);
  })) !== null && _item$map !== void 0 ? _item$map : [];
};

// 批量处理，转换 搜索接口，为了统一使用上面的方法处理
export var handleSearchApiBackData = function handleSearchApiBackData(item) {
  return item.map(function (v) {
    return _objectSpread(_objectSpread({}, v), {}, {
      costCenter: _objectSpread(_objectSpread({}, v), {}, {
        name: v.costCenterName,
        expand: false
      })
    });
  });
};