function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
export var STATIC = {
  dept: {
    title: '选择部门',
    rightTitle: '已选 组织',
    searchPlaceholder: '搜索组织名称'
  },
  person: {
    title: '选择人员',
    rightTitle: '已选 人员',
    searchPlaceholder: '搜索姓名'
  },
  deptPerson: {
    title: '选择部门和人员',
    rightTitle: '已选 组织和人员',
    searchPlaceholder: '搜索组织名称'
  }
};
// 初始面包屑
export var initBrandCrumb = [{
  orgId: '0',
  deptName: '组织架构'
}];

// 统一处理方法
export var dataHandle = function dataHandle(item) {
  var nodeType = item.nodeType,
    emp = item.emp,
    org = item.org,
    childrens = item.childrens;
  var isEmp = nodeType === 1;
  return _objectSpread(_objectSpread({
    deptName: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.name) || (item === null || item === void 0 ? void 0 : item.empName) : (org === null || org === void 0 ? void 0 : org.name) || (item === null || item === void 0 ? void 0 : item.orgName),
    nodeType: nodeType,
    orgChain: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.orgChain) || (item === null || item === void 0 ? void 0 : item.orgChain) : (org === null || org === void 0 ? void 0 : org.orgChain) || (item === null || item === void 0 ? void 0 : item.orgChain),
    iconType: isEmp ? 'employeesAreality' : 'organizationAreality',
    empId: (emp === null || emp === void 0 ? void 0 : emp.empId) || (item === null || item === void 0 ? void 0 : item.empId),
    orgId: (org === null || org === void 0 ? void 0 : org.orgId) || (item === null || item === void 0 ? void 0 : item.orgId),
    code: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.employeeNumber) || (item === null || item === void 0 ? void 0 : item.employeeNumber) : (org === null || org === void 0 ? void 0 : org.code) || (item === null || item === void 0 ? void 0 : item.code),
    children: childrens,
    syncStatus: (emp === null || emp === void 0 ? void 0 : emp.syncStatus) || (org === null || org === void 0 ? void 0 : org.syncStatus) || item.syncStatus,
    tagStatus: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.employeeStatus) || (item === null || item === void 0 ? void 0 : item.employeeStatus) : (org === null || org === void 0 ? void 0 : org.orgStatus) || (item === null || item === void 0 ? void 0 : item.orgStatus)
  }, org ? org : {}), emp ? emp : {});
};
// 获取处理之后的结果
export var getHandleData = function getHandleData(item) {
  var arr = item === null || item === void 0 ? void 0 : item.map(function (item) {
    var newItem = dataHandle(item);
    return _objectSpread({}, newItem);
  });
  return arr;
};
export var showDisabledParams = {
  showOrgStateList: ['enable', 'disable'],
  showPersonStateList: ['probation', 'formal', 'quitted']
};
export var defaultSelectParams = {
  showOrgStateList: ['enable'],
  showPersonStateList: ['probation', 'formal']
};