function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React from 'react';
import classnames from 'classnames';
import { Spin } from 'rlj-design';
import { FieldMultipleCheckbox } from "./components/FieldMultipleCheckbox";
import { FieldSingleCheckbox } from "./components/FieldSingleCheckbox";
import { useStoreContext } from "./hooks";
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/fieldCheckbox.less";
var prefixCls = "".concat(PREFIX_CLS, "-fieldCheckbox");
var FieldCheckbox = function FieldCheckbox(props) {
  var isCheckboxGroup = props.isCheckboxGroup,
    header = props.header,
    className = props.className,
    style = props.style;
  var _useStoreContext = useStoreContext(),
    fieldDragWidth = _useStoreContext.fieldDragWidth,
    groupSort = _useStoreContext.groupSort;
  return /*#__PURE__*/React.createElement("div", {
    className: classnames(prefixCls, className),
    style: _objectSpread({
      width: "calc(100% - ".concat(fieldDragWidth, "px)")
    }, style)
  }, /*#__PURE__*/React.createElement(Spin, {
    spinning: groupSort || false,
    indicator: /*#__PURE__*/React.createElement(React.Fragment, null)
  }, header !== undefined ? header : /*#__PURE__*/React.createElement("p", null, "\u9009\u62E9\u9700\u8981\u663E\u793A\u7684\u8868\u5934\u5B57\u6BB5"), isCheckboxGroup ? /*#__PURE__*/React.createElement(FieldMultipleCheckbox, null) : /*#__PURE__*/React.createElement(FieldSingleCheckbox, null)));
};
export default FieldCheckbox;