function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useMemo, useState, useEffect } from 'react';
// import { useComUtils } from './useComUtils';

export var useMultipleDataHandle = function useMultipleDataHandle(columns, isMultipleDragGroup) {
  var _useState = useState(new Map(new Map([]))),
    _useState2 = _slicedToArray(_useState, 2),
    checkedValueMap = _useState2[0],
    setCheckedValueMap = _useState2[1];
  var _useState3 = useState([]),
    _useState4 = _slicedToArray(_useState3, 2),
    selectAllFields = _useState4[0],
    setSelectAllFields = _useState4[1];
  // const { sortObjData } = useComUtils();

  // 这里转一下没有分组的字段，将它放到children中去
  var fieldsData = useMemo(function () {
    if (!columns) return [];
    var data = columns.map(function (item) {
      var groupId = item.groupId,
        fieldId = item.fieldId;
      var temp = groupId ? item : {
        fieldId: fieldId,
        children: [item]
      };
      return temp;
    });
    // 这边过滤一下没有字段的分组
    return data.filter(function (_ref) {
      var children = _ref.children;
      return !!(children !== null && children !== void 0 && children.length);
    });
  }, [columns]);
  var disableFields = useMemo(function () {
    var temp = [];
    fieldsData === null || fieldsData === void 0 || fieldsData.forEach(function (item) {
      var children = item.children;
      children === null || children === void 0 || children.forEach(function (_ref2) {
        var fieldDisabled = _ref2.fieldDisabled,
          fieldId = _ref2.fieldId,
          checkable = _ref2.checkable;
        (fieldDisabled || checkable === false) && temp.push(fieldId);
      });
    });
    return temp;
  }, [fieldsData]);
  var getGroupData = function getGroupData() {
    var keyList = [];
    var _iterator = _createForOfIteratorHelper(checkedValueMap.keys()),
      _step;
    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var key = _step.value;
        keyList.push(key);
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
    var selectTemp = [];
    fieldsData.forEach(function (item) {
      var fieldId = item.fieldId,
        groupId = item.groupId,
        children = item.children;
      var key = groupId || fieldId;
      var mapValue = checkedValueMap.get(key);
      if (mapValue) {
        var tmp = [];
        children === null || children === void 0 || children.forEach(function (item) {
          var fieldId = item.fieldId;
          var index = mapValue.indexOf(fieldId);
          if (index > -1) tmp[index] = item;
        });
        var index = keyList.indexOf(groupId || fieldId);
        if (index > -1) selectTemp[index] = _objectSpread(_objectSpread({}, item), {}, {
          children: tmp
        });
      }
    });
    return selectTemp;
  };
  var getSingleData = function getSingleData() {
    var mapValue = checkedValueMap.get('group');
    var selectTemp = [];
    fieldsData.forEach(function (item) {
      var children = item.children;
      if (mapValue) {
        children === null || children === void 0 || children.forEach(function (item) {
          var fieldId = item.fieldId;
          var index = mapValue.indexOf(fieldId);
          if (index > -1) selectTemp[index] = _objectSpread({}, item);
        });
      }
    });
    return [{
      groupId: 'group',
      groupName: '',
      children: selectTemp
    }];
  };
  useEffect(function () {
    var data = isMultipleDragGroup ? getGroupData() : getSingleData();
    var selectAllFields = [];
    // 这里过滤一下已移除的字段
    data.map(function (item) {
      var children = item.children;
      if (children !== null && children !== void 0 && children.length) {
        selectAllFields.push(_objectSpread(_objectSpread({}, item), {}, {
          children: children
        }));
      }
    });
    setSelectAllFields(selectAllFields);
  }, [checkedValueMap]);
  var selectFields = useMemo(function () {
    var selectFields = [];
    selectAllFields.map(function (item) {
      var children = item.children;
      if (children !== null && children !== void 0 && children.length) {
        selectFields.push(_objectSpread(_objectSpread({}, item), {}, {
          children: children.filter(function (item) {
            return item && (item === null || item === void 0 ? void 0 : item.status) !== 'remove';
          })
        }));
      }
    });
    return selectFields;
  }, [selectAllFields]);
  return {
    fieldsData: fieldsData,
    disableFields: disableFields,
    selectFields: selectFields,
    selectAllFields: selectAllFields,
    setSelectAllFields: setSelectAllFields,
    checkedValueMap: checkedValueMap,
    setCheckedValueMap: setCheckedValueMap
  };
};