import type { TableUnit } from './index';
import type { C_DATA, D_Date } from './edit';
export type GoToSpecifiedType = (dataIndex: string, rowDataId: string) => void;
export type ClearExpandDataType = (id: string | undefined) => void;
export type ClearDataSourceType = (rowDataIdArr: string[], trigger?: boolean) => void;
export type ChangeDataSourceType = (param: C_DATA[], trigger?: boolean) => void;
export type SetDisableDateType = (param: D_Date[]) => void;
export type GetDataSourceType = () => TableUnit;
export type TableRefType = {
    GoToSpecifiedType: GoToSpecifiedType;
    ClearExpandDataType: ClearExpandDataType;
    ClearDataSourceType: ClearDataSourceType;
    ChangeDataSourceType: ChangeDataSourceType;
    SetDisableDateType: SetDisableDateType;
    GetDataSourceType: GetDataSourceType;
};
