var _excluded = ["children"];
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React, { useContext, useReducer, useEffect, createContext } from 'react';
import { VariableSizeGrid as Grid } from 'react-window';
import StickyHeader from "./header";
import StickyFooter from "./footer";
import SummationFooter from "./summation";
import StickyColumns from "./body/stickyCell";
import GridColumn from "./body/centerCell";
import { getRenderedCursor } from "../utils/tools";
import { excelClassName } from "../utils/config";
import { ExcelContext } from "../index";
import SelectCell from "../components/SelectCell";
import "./index.less";
export var DataCompCxt = /*#__PURE__*/createContext(null);
export var DataCompReducer = function DataCompReducer(a, b) {
  return _objectSpread(_objectSpread({}, a), b);
};
export default function Index(props) {
  var onScroll = props.onScroll; // gridRef=>表格

  var excelCtx = useContext(ExcelContext);

  // moveLine=>拖拽线  excelBox=>组件总父容器  leftLine=>左阴影线  rightLine=>右阴影线  dragLine=>下拉复制选区   salaryBox=>表格
  var moveLine = excelCtx.moveLine,
    leftLine = excelCtx.leftLine,
    rightLine = excelCtx.rightLine,
    dragLine = excelCtx.dragLine,
    salaryBox = excelCtx.salaryBox,
    modalRef = excelCtx.modalRef;
  var _excelCtx$columnInfo = excelCtx.columnInfo,
    noFixed = _excelCtx$columnInfo.noFixed,
    dataSourceHeightInfo = _excelCtx$columnInfo.dataSourceHeightInfo;
  var columnCount = noFixed.source.length; //非固定的总列数
  var rowCount = excelCtx.dataSource.length; //总数据条数

  var columnWidth = function columnWidth(index) {
    return noFixed === null || noFixed === void 0 ? void 0 : noFixed.source[index];
  }; //单元格宽度方法
  var rowHeight = function rowHeight(index) {
    return dataSourceHeightInfo[index] * excelCtx.colData.defaultItemHeight; //单元格高度方法
  };

  // console.log('执行', 'DateComp', '组件');

  var _useReducer = useReducer(DataCompReducer, {}),
    _useReducer2 = _slicedToArray(_useReducer, 2),
    reduxData = _useReducer2[0],
    setReduxData = _useReducer2[1];
  var changeRedux = function changeRedux(param) {
    setReduxData(param);
  };
  useEffect(function () {
    if (excelCtx.gridRef.current) {
      excelCtx.gridRef.current.resetAfterColumnIndex(0, true);
      excelCtx.gridRef.current.resetAfterRowIndex(0, true);
    }
  }, [excelCtx.columnInfo, excelCtx.dataSource, excelCtx.gridRef]);

  // ============================================ 渲染render ============================================
  return /*#__PURE__*/React.createElement(DataCompCxt.Provider, {
    value: _objectSpread({
      columnWidth: columnWidth,
      rowHeight: rowHeight,
      changeRedux: changeRedux
    }, reduxData)
  }, /*#__PURE__*/React.createElement("div", {
    className: "salaryExcelBody",
    style: {
      height: excelCtx.height,
      width: excelCtx.width
    },
    ref: salaryBox
  }, /*#__PURE__*/React.createElement(
  // @ts-ignore;
  Grid, {
    ref: excelCtx.gridRef,
    columnWidth: columnWidth,
    rowHeight: rowHeight,
    innerElementType: InnerElementType,
    className: excelClassName,
    columnCount: columnCount,
    rowCount: rowCount,
    height: excelCtx.height,
    width: excelCtx.width,
    onScroll: onScroll
  }, NewBox), /*#__PURE__*/React.createElement("div", {
    ref: moveLine,
    className: "moveLine"
  }), /*#__PURE__*/React.createElement("div", {
    ref: leftLine,
    className: "leftLine"
  }), /*#__PURE__*/React.createElement("div", {
    ref: rightLine,
    className: "rightLine"
  }), /*#__PURE__*/React.createElement("div", {
    ref: dragLine,
    className: "dragLine"
  }), /*#__PURE__*/React.createElement("div", {
    ref: modalRef,
    className: "modalBox"
  })));
}

// ============================================ 表格具体内容的渲染 ============================================
var InnerElementType = function InnerElementType(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  var excelCtx = useContext(ExcelContext);
  var columnInfo = excelCtx.columnInfo;
  var noFixed = columnInfo.noFixed,
    hierarchyHeight = columnInfo.hierarchyHeight,
    lenRus = columnInfo.lenRus,
    contHeight = columnInfo.contHeight,
    addBtnHeight = columnInfo.addBtnHeight,
    isEmptyData = columnInfo.isEmptyData;

  // 获取可视区域内的坐标值范围
  var _getRenderedCursor = getRenderedCursor(children),
    _getRenderedCursor2 = _slicedToArray(_getRenderedCursor, 4),
    minRow = _getRenderedCursor2[0],
    maxRow = _getRenderedCursor2[1],
    minColumn = _getRenderedCursor2[2],
    maxColumn = _getRenderedCursor2[3];
  var containerStyle = {
    width: lenRus,
    height: isEmptyData ? hierarchyHeight : rest.style.height + hierarchyHeight + addBtnHeight
  };
  var containerHeight = contHeight;
  var gridDataContainerStyle = {
    width: noFixed.res,
    height: containerHeight
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "salaryExcelContainer",
    style: containerStyle
  }, /*#__PURE__*/React.createElement(StickyHeader, {
    minColumn: minColumn,
    maxColumn: maxColumn
  }), !isEmptyData && /*#__PURE__*/React.createElement("div", {
    className: "dataBox",
    style: {
      height: rest.style.height
    }
  }, /*#__PURE__*/React.createElement(StickyColumns, {
    type: "left",
    containerHeight: containerHeight,
    minRow: minRow,
    maxRow: maxRow
  }), /*#__PURE__*/React.createElement("div", {
    className: "dataBoxBox",
    style: gridDataContainerStyle
  }, children, /*#__PURE__*/React.createElement(SelectCell, null)), /*#__PURE__*/React.createElement(StickyColumns, {
    type: "right",
    containerHeight: containerHeight,
    minRow: minRow,
    maxRow: maxRow
  })), /*#__PURE__*/React.createElement(SummationFooter, {
    minColumn: minColumn,
    maxColumn: maxColumn
  }), /*#__PURE__*/React.createElement(StickyFooter, null));
};

// ============================================ 表格中心格子的渲染 ============================================
var NewBox = function NewBox(props) {
  return /*#__PURE__*/React.createElement(GridColumn, props);
};